function J = dfdx_ex( x );
%  Jacobian of equation example.
%
%  Author: Martin Krosche
%          Institute of Scientific Computing
%          Technische Universitaet Braunschweig
%          Braunschweig, Germany
%
%  Copyright (c) 2012 Martin Krosche. All rights reserved. No warranty. No
%  liability.
%
%  J = DFDX_ex( X ) returns the Jacobian evaluated at the two-dimensional input
%  vector X.

  J = [ 2*x(1), 2*x(2); ...
        -1    , 1       ];
